#ifndef _TEST_APP
#define _TEST_APP


#include "ofMain.h"
#include "ofxXmlSettings.h"

#include "grafVisualManager.h"

enum{
MOUSE_NONE,MOUSE_ZOOM,MOUSE_TRANSLATE,MOUSE_ROTATE
};


class testApp : public ofBaseApp{

	public:

		testApp();
		~testApp();
		void setup();
		void update();
		void draw();

		void keyPressed  (int key);
		void keyReleased(int key);
		void mouseMoved(int x, int y );
		void mouseDragged(int x, int y, int button);
		void mousePressed(int x, int y, int button);
		void mouseReleased(int x, int y, int button);
		void resized(int w, int h);

		void loadConfigSettings(string filename);


        //----------- visual manager
        grafVisualManager   * GM;

		//---------- application settings
        bool            bShiftOn;
        bool            bShowFrameRate;

        int             screenW,screenH;
        float           lastX, lastY;
		int             mouse_mode;
		int sW,sH;




};

#endif
